=== debian/changelog ===
kpmcore (22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:57:57 +0100

kpmcore (22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:38:41 +0100

kpmcore (22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:50 +0100

kpmcore (22.12.0-1) unstable; urgency=medium

  [ Jonathan Carter ]
  * Remove self from uploaders, package is good in the hands of KDE team now

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:13:02 +0100

kpmcore (22.08.1-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Update symbols from buildd’s logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 03 Oct 2022 22:17:49 +0200

kpmcore (22.08.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 28 Sep 2022 23:14:29 +0200
