## kpmcore 23.08.0

=== debian/changelog ===
kpmcore (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:58:23 +0100

kpmcore (23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * Add the dh-sequence-pkgkde-symbolshelper build dep.
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:37:55 +0100

kpmcore (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:52:24 +0100

kpmcore (23.04.2-0ubuntu1) mantic; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

  [ Rik Mills ]
  * Update symbols.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:59:33 +0100

kpmcore (22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:42:03 +0000

kpmcore (22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:23:02 -0600

kpmcore (22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)
  * Build depend on dh-sequence-kf5 and remove pkg-kde-tools.

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:17:45 +0000

kpmcore (22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
    - Keep our symbols file.

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Dec 2022 10:47:30 +0000

kpmcore (22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:13:31 +0000

kpmcore (22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:09:46 +0000

kpmcore (22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:52:57 +0000

kpmcore (22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:12:47 +0000
