## kpmcore 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,9 +8,9 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "22")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "23")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "5")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(kpmcore VERSION ${RELEASE_SERVICE_VERSION})
 
@@ -26,7 +26,7 @@
 
 # Dependencies
 set(QT_MIN_VERSION "5.15.2")
-set(KF5_MIN_VERSION "5.90")
+set(KF5_MIN_VERSION "5.92")
 set(BLKID_MIN_VERSION "2.33.2")
 # PolkitQt5-1
 
@@ -45,6 +45,14 @@
 include(GenerateExportHeader)
 include(ECMSetupVersion)
 include(ECMConfiguredInstall)
+include(ECMDeprecationSettings)
+if (QT_MAJOR_VERSION STREQUAL "6")
+    set(QT_REQUIRED_VERSION "6.4.0")
+    set(KF_MIN_VERSION "5.240.0")
+    set(KF_MAJOR_VERSION "6")
+else()
+    set(KF_MAJOR_VERSION "5")
+endif()
 
 ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KPMCORE
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kpmcore_version.h"
@@ -63,7 +71,7 @@
 )
 
 # Load the frameworks we need
-find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
+find_package(KF${KF_MAJOR_VERSION} ${KF5_MIN_VERSION} REQUIRED
   CoreAddons
   I18n
   WidgetsAddons
@@ -71,7 +79,10 @@
 
 find_package(PolkitQt${QT_MAJOR_VERSION}-1 REQUIRED)
 
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
+ecm_set_disabled_deprecation_versions(QT 5.15.2
+    KF 5.101
+)
+
 kde_enable_exceptions()
 
 if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
