=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_makeshlibs:
	dh_makeshlibs -Xlibpmdummybackendplugin -Xlibpmsfdiskbackendplugin

execute_after_dh_auto_install:
	# do not ship helper translations
	rm debian/tmp/usr/share/locale/*/LC_MESSAGES/kpmcore._policy_.mo

# Not sure these can work in a chroot
override_dh_auto_test:
