## kpmcore 24.08.2

=== debian/changelog ===
kpmcore (24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental, remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
    - Keep our symbols file.
  * Drop old Breaks/Replaces.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 16 Oct 2024 14:59:33 -0500

kpmcore (24.08.2-1) experimental; urgency=medium

  [ Jesse Rhodes ]
  * New upstream release (24.05.2).
  * Update build-deps with info from cmake.
  * Update list of installed files from build system.
  * Update libkpmcore12.symbols.
  * Refresh copyright info.
  * pkg-config -> pkgconf.
  * Update Standards-Version to 4.7.0 (no changes needed).
  * Use dh-sequence-kf6.
  * Update package descriptions.

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).
  * Update symbols from build for 24.08.2.
  * Fix typo in Replaces relation with older version of the lib.
  * Cleanup Breaks/Replaces.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 16 Oct 2024 08:48:50 +0200

kpmcore (23.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * New upstream release (23.08.2).
  * Update symbols file.
  * Update build-deps with info from cmake.
  * New upstream release (23.08.3).

 -- Jesse Rhodes <jesse@sney.ca>  Tue, 05 Dec 2023 12:18:00 -0500
