=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: kpmcore
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 5.240.0~),
                gettext,
                libblkid-dev (>= 2.33.2),
@@ -19,13 +18,15 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/system/kpmcore
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpmcore
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpmcore
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpmcore
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpmcore.git
 
 Package: libkpmcore12
 Architecture: any
 Multi-Arch: same
-Depends: fdisk, ${misc:Depends}, ${shlibs:Depends}
+Depends: fdisk, ${misc:Depends}, ${shlibs:Depends},
+Breaks: libkpmcore10, libkpmcore11,
+Replaces: libkpmcore10, libkpmcore11,
 Description: KDE Partition Manager Core
  KDE Partition Manager Core (KPM core) allows software to re-use
  common partitioning GUI tasks.
