## kpmcore 24.12.1

=== debian/changelog ===
kpmcore (24.12.1-0ubuntu2) plucky; urgency=medium

  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Mon, 13 Jan 2025 13:13:59 +0000

kpmcore (24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 06:17:41 +0000

kpmcore (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:17:24 +0000

kpmcore (24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 13:20:15 +0000

kpmcore (24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Nov 2024 11:42:58 +0000

kpmcore (24.08.3-0ubuntu2) plucky; urgency=medium

  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 14:54:03 +0000

kpmcore (24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:44:35 +0000
