=== src/plugins/dummy/CMakeLists.txt ===
--- 
+++ 
@@ -12,4 +12,4 @@
     ${CMAKE_SOURCE_DIR}/src/backend/corebackenddevice.cpp
 )
 
-target_link_libraries(pmdummybackendplugin kpmcore KF${KF_MAJOR_VERSION}::I18n KF${KF_MAJOR_VERSION}::CoreAddons)
+target_link_libraries(pmdummybackendplugin kpmcore KF6::I18n KF6::CoreAddons)
