=== debian/changelog ===
kpmcore (24.12.3-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Backport upstream commits:
    - Fix a memory leak by actually freeing a correct pointer.
    - Fix a crash when filesystem==nullptr.
  * Reenable build-time tests.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 09 Jun 2025 09:01:20 +0200

kpmcore (24.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.3).
  * Backport commit to fix misleading Polish translation. (Closes:
    #1104060)
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 04 May 2025 00:19:45 +0200
