=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libpolkit-qt6-1-dev,
                pkgconf,
                qt6-base-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/system/kpmcore
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpmcore
