## kpmcore 25.04.0

=== src/backend/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2008,2012 Volker Lanz <vl@fidra.de>
# SPDX-FileCopyrightText: 2015 Chris Campbell <c.j.campbell@ed.ac.uk>
# SPDX-FileCopyrightText: 2017 Andrius Štikonas <andrius@stikonas.eu>

# SPDX-License-Identifier: GPL-3.0-or-later

set(BACKEND_SRC
    backend/corebackendmanager.cpp
    backend/corebackenddevice.cpp
    backend/corebackend.cpp
    backend/corebackendpartitiontable.cpp
)

set(BACKEND_LIB_HDRS
    backend/corebackend.h
    backend/corebackendmanager.h
)
