=== debian/changelog ===
kpmcore (25.04.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.
  * Adapt packaging to soname bump from libkpmcore12 to libkpmcore13.
  * Update symbols from build for 25.04.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 06 May 2025 00:46:20 +0200
