=== debian/control ===
--- 
+++ 
@@ -21,12 +21,18 @@
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpmcore
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpmcore.git
 
-Package: libkpmcore12
+Package: libkpmcore13
 Architecture: any
 Multi-Arch: same
-Depends: fdisk, ${misc:Depends}, ${shlibs:Depends},
-Breaks: libkpmcore10, libkpmcore11,
-Replaces: libkpmcore10, libkpmcore11,
+Depends: fdisk,
+         ${misc:Depends},
+         ${shlibs:Depends},
+Breaks: libkpmcore10,
+        libkpmcore11,
+        libkpmcore12,
+Replaces: libkpmcore10,
+          libkpmcore11,
+          libkpmcore12,
 Description: KDE Partition Manager Core
  KDE Partition Manager Core (KPM core) allows software to re-use
  common partitioning GUI tasks.
@@ -37,7 +43,9 @@
 Package: libkpmcore-dev
 Section: libdevel
 Architecture: any
-Depends: libkpmcore12 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends},
+Depends: libkpmcore13 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
 Multi-Arch: same
 Description: KDE Partition Manager Core development files
  KDE Partition Manager Core (KPM core) allows software to re-use
