=== debian/rules ===
--- 
+++ 
@@ -15,4 +15,4 @@
 	rm debian/tmp/usr/share/locale/*/LC_MESSAGES/kpmcore._policy_.mo
 
 # Not sure these can work in a chroot
-#override_dh_auto_test:
+override_dh_auto_test:
