## kpmcore 25.04.3

=== debian/changelog ===
kpmcore (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:50:35 +0100

kpmcore (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:54:25 +0100

kpmcore (25.04.1-0ubuntu2) questing; urgency=medium

  * Disable test that requires full build.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 11:02:50 +0100

kpmcore (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)
  * Drop included upstream_fix-partitionmanager-crashes.patch

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:12:57 +0100

kpmcore (25.04.0-0ubuntu2) questing; urgency=medium

  * Add upstream_fix-partitionmanager-crashes.patch

 -- Rik Mills <rikmills@kde.org>  Fri, 02 May 2025 07:34:51 +0100

kpmcore (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
  * Drop ext4-lazy_itable_init-lazy_journal_init.patch and tests-
    cpp20.patch. Included in this release.
  * Bump SONAME according to upstream changes:
    - libkpmcore12 -> libkpmcore13
  * Regenerate symbols file.

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:56:50 +0100

kpmcore (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:46:34 +0000

kpmcore (24.12.2-0ubuntu2) plucky; urgency=medium

  * Merge from Debian Unstable in packaging.
  * Add ext4-lazy_itable_init-lazy_journal_init.patch which sets
    lazy_itable_init and lazy_journal_init to 0, trading speed (with the
    bottleneck being disk bandwidth) for a cleaner mkfs.
  * Add tests-cpp20.patch which bumps the test suite to C++20.
  * Enable the autopkgtest, ensure it is functional.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 21 Feb 2025 02:07:29 -0600

kpmcore (24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 10:00:50 +0000
