## kpmcore 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,13 +8,13 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "24")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(kpmcore VERSION ${RELEASE_SERVICE_VERSION})
 
-set(SOVERSION "12")
+set(SOVERSION "13")
 add_definitions(-D'VERSION="${RELEASE_SERVICE_VERSION}"') #"
 
 set(CMAKE_USE_RELATIVE_PATHS OFF)
@@ -69,7 +69,7 @@
 find_package(PolkitQt6-1 REQUIRED)
 
 ecm_set_disabled_deprecation_versions(QT 6.7
-    KF 6.4
+    KF 6.10
 )
 
 kde_enable_exceptions()
