=== src/core/raid/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018 Caio Jordão Carvalho <caiojcarvalho@gmail.com>

# SPDX-License-Identifier: GPL-3.0-or-later

set(RAID_SRC
    core/raid/softwareraid.cpp
)

set(RAID_LIB_HDRS
    core/raid/softwareraid.h
)
